Bug 1347294 - cryptlib: cryptlib-test requires both Python 2 and Python 3
Summary: cryptlib: cryptlib-test requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cryptlib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralf Senderek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2016-06-16 13:07 UTC by Tomas Orsava
Modified: 2017-08-11 16:33 UTC (History)
2 users (show)

Fixed In Version: 3.4.3-6 cryptlib-3.4.3-6.fc24 cryptlib-3.4.3-6.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-26 20:56:18 UTC


Attachments (Terms of Use)

Description Tomas Orsava 2016-06-16 13:07:58 UTC
The cryptlib-test RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Fedora Update System 2016-06-16 17:04:53 UTC
cryptlib-3.4.3-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a6b08d677

Comment 2 Fedora Update System 2016-06-16 17:05:05 UTC
cryptlib-3.4.3-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2c028207ff

Comment 3 Ralf Senderek 2016-06-16 17:18:44 UTC
At the moment the python 3 sub package cannot be built. I made the mistake to not exclude the python3 test script from the test tarball, so the test sub package inherited an unnecessary requires for python3.

The test package now contains only the python2 test script. Once the python3 sub package can be built, both test scripts will be split in a future version of cryptlib.

Comment 4 Tomas Orsava 2016-06-16 17:30:03 UTC
Thank you very much!

Comment 5 Fedora Update System 2016-06-18 05:24:44 UTC
cryptlib-3.4.3-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a6b08d677

Comment 6 Fedora Update System 2016-06-18 16:26:33 UTC
cryptlib-3.4.3-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2c028207ff

Comment 7 Fedora Update System 2016-06-26 20:56:13 UTC
cryptlib-3.4.3-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-06-27 00:52:36 UTC
cryptlib-3.4.3-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Iryna Shcherbina 2017-08-11 14:13:38 UTC
Hi Ralf,

Thanks for providing a Python 3 package for cryptlib.

However, cryptlib-test RPM still requires both Python 2 and Python 3. Is it intended or can it be split?

Comment 10 Ralf Senderek 2017-08-11 15:27:18 UTC
(In reply to Iryna Shcherbina from comment #9)
> Hi Ralf,
> 
> Thanks for providing a Python 3 package for cryptlib.
> 
> However, cryptlib-test RPM still requires both Python 2 and Python 3. Is it
> intended or can it be split?

The idea is to put *all* test programs for any language into one package, 
which has the sole purpose to provide as much testing material as possible
for cryptlib.

However, if it is really necessary to separate python3 from python2 scripts, 
then I'd rather like to put one of the test scripts for python into the package
that provide the library and to remove python2 or python3 from the test
package.

Comment 11 Petr Viktorin 2017-08-11 16:13:58 UTC
Thanks for the confirmation!

The combined package is only tripping our sanity checks. We can whitelist cryptlib.

Comment 12 Ralf Senderek 2017-08-11 16:33:47 UTC
(In reply to Petr Viktorin from comment #11)
> Thanks for the confirmation!
> 
> The combined package is only tripping our sanity checks. We can whitelist
> cryptlib.

Whitelisting cryptlib is my preferred solution as I'd like to keep all test
programms in a single package if possible.


Note You need to log in before you can comment on or make changes to this bug.